## org.hibernate.event
Class PreLoadEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.PreLoadEvent

All Implemented Interfaces:
  Serializable

    public class PreLoadEvent

extends AbstractEvent

Called before injecting property values into a newly loaded entity instance.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`PreLoadEvent(EventSource session)`

Method Summary
`Object` `getEntity()`
`Serializable` `getId()`
`EntityPersister` `getPersister()`
`Object[]` `getState()`
`PreLoadEvent` `setEntity(Object entity)`
`PreLoadEvent` `setId(Serializable id)`
`PreLoadEvent` `setPersister(EntityPersister persister)`
`PreLoadEvent` `setState(Object[] state)`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreLoadEvent

    public PreLoadEvent(EventSource session)

Method Detail

### getEntity

    public Object getEntity()

### getId

    public Serializable getId()

### getPersister

    public EntityPersister getPersister()

### getState

    public Object[] getState()

### setEntity

    public PreLoadEvent setEntity(Object entity)

### setId

    public PreLoadEvent setId(Serializable id)

### setPersister

    public PreLoadEvent setPersister(EntityPersister persister)

### setState

    public PreLoadEvent setState(Object[] state)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.